<!-- Login de acceso usuarios -->
<div class="backgroundimg">
  <br/>
  <br/>
  <mat-card-content class="center-elem">
      <!-- <img mat-card-image src="./assets/imgs/ci_logo.png" style="width: 20%"> -->
      <img mat-card-image style="width: 20%">
  </mat-card-content>
  <mat-grid-list cols="1" rowHeight="18em">
    <mat-grid-tile >
      <form (ngSubmit)="onFormSubmit()" [formGroup]="userForm">
        <mat-card class="example-card">
          <mat-card-content class="center-elem">
            <mat-card-subtitle style="align-content: center; font-weight: bold;">Ingrese sus credenciales para iniciar sesión</mat-card-subtitle>
          </mat-card-content>
          <mat-card-content >
            <mat-form-field class="full-content">
              <input matInput placeholder="Usuario" type="text" formControlName="user" #user required [errorStateMatcher]="matcher">
              <mat-error *ngIf="userForm.get('user').invalid && userForm.get('user').errors.required && userForm.get('user').dirty">
                  Ingrese un usuario
              </mat-error>
            </mat-form-field>
          </mat-card-content>
          <mat-card-content>
            <mat-form-field class="full-content">
              <input matInput placeholder="Contraseña" type="password" [type]="hide ? 'text' : 'password'" formControlName="pass" #pass required [errorStateMatcher]="matcher">
              <!-- <mat-icon matSuffix (click)="hide = !hide">{{hide ? 'visibility' : 'visibility_off'}}</mat-icon> -->
              <mat-error *ngIf="userForm.get('pass').invalid && userForm.get('pass').dirty">
                  Ingrese contraseña
              </mat-error>
            </mat-form-field>
          </mat-card-content>
          <mat-card-actions class="center-elem">
            <button mat-raised-button color="warn" >Iniciar sesión</button>
          </mat-card-actions>
        </mat-card>
      </form>
      <br/>
    </mat-grid-tile>
  </mat-grid-list>
  <div class="bottom-stuff">
      <app-footer></app-footer>
  </div>
</div>




